package com.nisum

import groovy.xml.XmlSlurper
import groovy.xml.slurpersupport.GPathResult

class XMLParser {

    File file;

    public void loadFile(String fileLocation){
        file = new File(fileLocation);
    }

    public GPathResult createParser() {
        return new XmlSlurper().parse(file)
    }

    public GPathResult getNodeByPath(String[] path){
        GPathResult node = createParser()

        for (String nodeName : path) {
            node = node."${nodeName}"
        }

        return node;

    }


}